Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235768 - needs to require fontconfig for scripts
Summary: needs to require fontconfig for scripts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gentium-fonts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roozbeh Pournader
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 02:11 UTC by Jens Petersen
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-15 23:20:14 UTC


Attachments (Terms of Use)

Description Jens Petersen 2007-04-10 02:11:34 UTC
Description of problem:
Since fc-cache is used in %post and %postun, the package needs to

Requires(post): fontconfig
Requires(postun): fontconfig

Comment 1 Kevin Fenzi 2007-04-14 19:27:45 UTC
Yeah, thanks for the bug report. 

Roozbeh: Would you like to push a fixed version? Or would you like me to do so? 


Comment 2 Jens Petersen 2007-04-15 23:20:14 UTC
Since filing this bug there was some discussion of this on fedora-packaging list
last week, and it seems truetype font package should not explicitly require
fontconfig.


Note You need to log in before you can comment on or make changes to this bug.